DUPDUMP(1)

NAME
dupdump - finds duplicate files in a given set of directories

SYNOPSIS
dupdump [ options ] <dir1> ... <dirN>

DESCRIPTION
Searches a list of dirs, recursively to find dir and file matches. It is using SHA-1 to test the match. It outputs a file with four columns: first is the type of match (DIR or FILE), the second is a set of flags described below, the third is one of the file/dir that matches and the fourth is the other file/dir that matches and the one that may be deleted.

Flags:

    M -

OPTIONS

-z --zero
    use \0 as fields and records separator instead of \t and \n

-i --min-size
    do not dump files under specified size. Still, they are taken into account when a dir match is possible

-o --out
    specify where to store the list of duplicates (default stdout)

-v --verbose
    be more verbose (dump some statistics)

-d --debug
    dump debug information useful for the developers TODO Dump example: Scanning for duplicates, min-size 0 Processing dir /date/no-sync... Processing dir /date2/no-sync... [*] Find duplicate files... [*] Find duplicate dirs... Number of visited file(s): 60407. Number of visited dir(s): 2930. Number of bytes processed by SHA-1: 1057821042612. Number of 64K SHA-1 computed: 60405. Number of full SHA-1 computed: 3372. Bytes that could be saved: 528882932306. Number of duplicated files: 34378. Number of duplicated dirs: 1350. Number of same dev/inode (file): 0. Number of same dev/inode (dir): 0. Memory allocated: 9649944 bytes in 129017 call(s). Time: 10s.

SEE ALSO

fdupes(1), sha1sum(1)

Home page (http://kernel.embedromix.ro/us/).

NOTES
This program does not delete any files. Is your responsability to take care of what to delete.

AUTHOR
Catalin(ux) M. BOIE (catab-dupdump@embedromix.ro).